#include <P16F886.h>
#include <P16F886_bits.h>
#include <PortBits.h>
#include <DataLib.h>
#include <delays.h>

#define APROCFREQ 20000000

#define BITSIZE 14
#define BOOTADDRESS 0
#define FIRSTRAM 0x00
#define LASTRAM 0x170
#define HASOSCCAL 0
#define nPAGESRAM 4
#define nPAGESROM 4
//
// Header file - should be included in all C files used within the program
// This file is created automatically and should not be changed
//

//
// Functions
//
void UserInitialise();			// Your initialisation code
void UserInterrupt();			// Your interrupt code
void UserLoop();			// your Main loop code


#define SimpButnCopy 3
#pragma asmline _SimpButnCopy=3
// **********
//
// Interrupt Driven Serial Interface
//
// **********
#define SerIntUsed 1
#pragma asmline _SerIntUsed=1
#define SerIntIntUsed 1
#pragma asmline _SerIntIntUsed=1
#define SerInt0 6
#define SerInt_TxFree 0
#define SerInt_RxByte 1
#define SERINTRATE 19200
#pragma asmline _SERINTRATE=19200
#define USEXON 1
#pragma asmline _USEXON=1
#define RXBUFSZ 32
#pragma asmline _RXBUFSZ=32
#define TXBUFSZ 8
#pragma asmline _TXBUFSZ=8
#define RxPort PORTC
#define RxBit 7
#pragma asmline _RxPort=PORTC
#pragma asmline _RxBit=7
#define TxPort PORTC
#define TxBit 6
#pragma asmline _TxPort=PORTC
#pragma asmline _TxBit=6
// **********
//
// Simple Switch
//
// **********
#define SimpButUsed 1
#pragma asmline _SimpButUsed=1
#define SimpBut2Used 1
#pragma asmline _SimpBut2Used=1
#define SimpBut2 5
#define SimpBut_SBPress2 0
#pragma asmline _SBPress2Used=1
#pragma asmline _SBPress2Flag=Flag1
#pragma asmline _SBPress2FlagBit=0
#define SBPress2Used 1
#define SBPress2Flag Flag1
#define SBPress2FlagBit 0
#define SimpBut_SBRelease2 1
void Btn3Press();
#define InitialDelay2 500
#pragma asmline _InitialDelay2=500
#define RepDelay2 250
#pragma asmline _RepDelay2=250
#define Debounce2 60
#pragma asmline _Debounce2=60
#define EnableRepeat2 0
#pragma asmline _EnableRepeat2=0
#define Invert2 0
#pragma asmline _Invert2=0
#define SBIn2Port PORTB
#define SBIn2Bit 3
#pragma asmline _SBIn2Port=PORTB
#pragma asmline _SBIn2Bit=3
// **********
//
// Simple Switch
//
// **********
#define SimpBut1Used 1
#pragma asmline _SimpBut1Used=1
#define SimpBut1 4
#define SimpBut_SBPress1 0
#pragma asmline _SBPress1Used=1
#pragma asmline _SBPress1Flag=Flag1
#pragma asmline _SBPress1FlagBit=1
#define SBPress1Used 1
#define SBPress1Flag Flag1
#define SBPress1FlagBit 1
#define SimpBut_SBRelease1 1
void Btn2Press();
#define InitialDelay1 500
#pragma asmline _InitialDelay1=500
#define RepDelay1 250
#pragma asmline _RepDelay1=250
#define Debounce1 60
#pragma asmline _Debounce1=60
#define EnableRepeat1 0
#pragma asmline _EnableRepeat1=0
#define Invert1 0
#pragma asmline _Invert1=0
#define SBIn1Port PORTB
#define SBIn1Bit 2
#pragma asmline _SBIn1Port=PORTB
#pragma asmline _SBIn1Bit=2
// **********
//
// Timer 0
//
// **********
#define Tmr0Used 1
#define Tmr00 3
#define Tmr0_Of 0
void SBT0Of();
#define UsePS 1
#define PSD 4
#define CRE 1
#define UseOsc 1
// **********
//
// Simple Switch
//
// **********
#define SimpBut0Used 1
#pragma asmline _SimpBut0Used=1
#define SimpBut0 2
#define SimpBut_SBPress0 0
#pragma asmline _SBPress0Used=1
#pragma asmline _SBPress0Flag=Flag1
#pragma asmline _SBPress0FlagBit=2
#define SBPress0Used 1
#define SBPress0Flag Flag1
#define SBPress0FlagBit 2
#define SimpBut_SBRelease0 1
void Btn1Press();
#define InitialDelay0 500
#pragma asmline _InitialDelay0=500
#define RepDelay0 250
#pragma asmline _RepDelay0=250
#define Debounce0 60
#pragma asmline _Debounce0=60
#define EnableRepeat0 0
#pragma asmline _EnableRepeat0=0
#define Invert0 0
#pragma asmline _Invert0=0
#define SBIn0Port PORTB
#define SBIn0Bit 1
#pragma asmline _SBIn0Port=PORTB
#pragma asmline _SBIn0Bit=1
// **********
//
// Wait for W milli-seconds
//
// **********
#define WaitWmUsed 1
#define WaitWm0 1
#define pWAITWATCHDOG 0

// **********
//
// Application Designer Variables
//
// **********
extern unsigned char register Flag1;


// Defines specified by 1 or more elements

