#include "D:\\_F\\___WIZC17Prj\\221-RX64N-Test\\221_Auto.h"


// **********
//
// Application Designer Variables
//
// **********
unsigned char register Flag1;
//
// This file is automatically generated. Any changes will be overwritten when
// the application is regenerated
//
void LoadOscCal();
// Conditional Defines
unsigned char TxTab[TXBUFSZ]; // Interrupt Driven Serial Interface
unsigned char RxTab[RXBUFSZ];
#if PSD==2 // Timer 0
 #define T0PSD 0
#endif
#if PSD==4
 #define T0PSD 1
#endif
#if PSD==8
 #define T0PSD 2
#endif
#if PSD==16
 #define T0PSD 3
#endif
#if PSD==32
 #define T0PSD 4
#endif
#if PSD==64
 #define T0PSD 5
#endif
#if PSD==128
 #define T0PSD 6
#endif
#if PSD==256
 #define T0PSD 7
#endif
#if _HASEXTINS
 #define T0CS TMR0CS
 #define T0SE TMR0SE
#endif
const int WAITWATCHDOG=pWAITWATCHDOG; // Wait for W milli-seconds

// *** Input File - C:\Program Files\FED\WIZC17\PIXIE\APPWIZ\MiscInit.c

// APPWIZ version

#ifdef SimpButUsed	// Init Code for Simp But - once only
const int T0PS=UsePS*PSD+!UsePS;		// T0 prescale
const int SBCT=(1000000000/APROCFREQ)*4;	// Cycle time in nS
const int SBTmr0OF=(SBCT*T0PS*256)/1000;	// Overflow time in uS

const int SBPSC=20000/SBTmr0OF;	                // Prescalar overflows every 20mS
const int SBPSCNZ=(SBPSC) ? SBPSC : 1;
const int SBPreScalarCnt=(SBPSCNZ>255) ? 255 : SBPSC;

const int SBIC=InitialDelay0/20;		// Delay before 1st repeat
const int SBInitCnt=(SBIC>127) ? 127 : SBIC;

const int SBRC=RepDelay0/20;			// Delay between repeats
const int SBRepCnt=(SBRC>127) ? 127 : SBRC;

const int SBDC=Debounce0/20;			// Debounce time after rising
const int SBDebounceCnt=(SBDC>127) ? 127 : SBDC;

unsigned char register SBPreScalar=SBPreScalarCnt;  // Pre-scalar is common to all buttons
#endif
#ifdef SimpButUsed	// %% Shows duplication for each instance
unsigned char register SBStatus0; 	// Each button has its own status byte
#endif
#ifdef SimpButUsed	// %% Shows duplication for each instance
unsigned char register SBStatus1; 	// Each button has its own status byte
#endif
#ifdef SimpButUsed	// %% Shows duplication for each instance
unsigned char register SBStatus2; 	// Each button has its own status byte
#endif
                                                        


//
// Main function
//

void main()
{
  OPTION_REG&=0x7f;		// Pull ups on PORTB by default
 #if HASOSCCAL==1
  LoadOscCal();
 #endif
 
 // Initialisation Code
 #if UsePS==1
  OPTION_REG&=~((1<<PSA)|(1<<T0CS)|(1<<T0SE)|7);
  OPTION_REG|=((!UsePS)<<PSA)|((!UseOsc)<<T0CS)|((!CRE)<<T0SE)|T0PSD;
 #else
  OPTION_REG&=~((1<<PSA)|(1<<T0CS)|(1<<T0SE));
  OPTION_REG|=((!UsePS)<<PSA)|((!UseOsc)<<T0CS)|((!CRE)<<T0SE);
 #endif
 
 TMR0=0;
 Flag1=0;
 

 // End Initialisation Code
 PORTC|=0xff;
 INTCON&=0xfb;
 INTCON|=0x40;
 PIE1|=0x30;
 TRISC&=0xbf;
 SerIntInit();
 
 UserInitialise();
 
 // Finally enable interrupts
  
 INTCON|=(1<<GIE);
 
 // Main Loop
 
 while(1)				
 {					// Loop forever
  if (SBPress2Flag&(1<<SBPress2FlagBit))		// Switch Pressed
  {
   SBPress2Flag&=~(1<<SBPress2FlagBit);
   Btn3Press();
  }
  if (SBPress1Flag&(1<<SBPress1FlagBit))		// Switch Pressed
  {
   SBPress1Flag&=~(1<<SBPress1FlagBit);
   Btn2Press();
  }
  if (INTCON&(1<<T0IF))		// Timer 0 overflow
  {
   INTCON&=~(1<<T0IF);
   SBT0Of();
  }
  if (SBPress0Flag&(1<<SBPress0FlagBit))		// Switch Pressed
  {
   SBPress0Flag&=~(1<<SBPress0FlagBit);
   Btn1Press();
  }
  UserLoop();
  #ifdef WatchDogUsed			
   #pragma asmline clrwdt		; Clear watchdog timer if used
  #endif
 }
}

//
// Interrupts
//
const int QuickInt=1;

void Interrupt()
{
 // Priority Interrupts first
 // Other Interrupts
  #ifdef SerIntIntUsed // Interrupt Driven Serial Interface
   SerIntHandler();
  #endif
 #pragma asm
  SETPCLATH UserInterrupt,-1 	; Set PCLATH
  goto UserInterrupt	    	; goto user interrupt
 UserIntReturn::	    	; Return to here after user routine
  clrf STATUS		; Clear RP0/RP1
  SETPCLATH IntRet,-1		; and set PCLATH back to return address 
 #pragma asmend
}

//
// Load oscillator calibration value on reset for 14 bit processors
//
#if HASOSCCAL==1
	#pragma asm
		module "LoadOscCal"
LoadOscCal::
		SETPCLATH OVRet,LoadOscCal
                call OVRet
                bsf STATUS,RP0
                movwf OSCCAL
                bcf STATUS,RP0
                MRET 0
                
                endmodule
                
		module "LoadOscCal" forced absolute _TOPROM+1
		 OVRet::
		 	retlw 0xff
		endmodule
	#pragma asmend
#endif


